# Gimp.ConfigWriter.new_from_file

    function new_from_file(file: Gio.File, atomic: Boolean, header: String): Gimp.ConfigWriter {
        // Gjs wrapper for gimp_config_writer_new_from_file()
    }

Creates a new Gimp.ConfigWriter and sets it up to write to file. If atomic is true, a temporary file is used to avoid possible race conditions. The temporary file is then moved to file when the writer is closed.

Since 2.10

file

  a Gio.File

atomic

  if true the file is written atomically

header

  text to include as comment at the top of the file

Returns

  a new Gimp.ConfigWriter or null in case of an error